%define orig_name menu-cache

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           lxde-menu-cache
Summary:	application menu cache library for LXDE desktop environment
URL:		http://lxde.org/
License:	GPL
Version:	0.2.6
Release:	1
BuildArch:	i686
Group:		Graphical Desktop/LXDE
Source:		%{orig_name}-%{version}.tar.gz
BuildRequires: 	glib-devel
BuildRequires: 	glibc-devel
Provides:	%{orig_name} = %{version}
Obsoletes:	%{orig_name} <= %{version}

%description
Libmenu-cache is a library creating and utilizing caches to speed up
the manipulation for freedesktop.org defined application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

%package devel
Summary:        %{name} development headers.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:	%{orig_name}-devel = %{version}
Obsoletes:	%{orig_name}-devel <= %{version}


%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{orig_name}-%{version}

%build
./configure --prefix=%_prefix \
	    --sysconfdir=%_sysconfdir \
	    --disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_libexecdir}/menu-cached
%{_libexecdir}/menu-cache-gen
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/
%{_pkgconfig}/
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.2.6-1
- Version update
- rename package to lxde-menu-cache
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-1
- initial CCux package release
